=== added directory 'examples/tomcat-maven-webapp'
=== added directory 'examples/tomcat-maven-webapp/meta'
=== added file 'examples/tomcat-maven-webapp/meta/package.yaml'
--- examples/tomcat-maven-webapp/meta/package.yaml	1970-01-01 00:00:00 +0000
+++ examples/tomcat-maven-webapp/meta/package.yaml	2015-07-24 01:59:59 +0000
@@ -0,0 +1,11 @@
+name: tomcat-webapp-demo
+vendor: Loïc Minier <loic.minier@ubuntu.com>
+version: 1.0
+architecture: [amd64]
+services:
+ - name: tomcat
+   start: bin/tomcat
+   caps:
+   - networking
+   - network-service
+

=== added file 'examples/tomcat-maven-webapp/meta/readme.md'
--- examples/tomcat-maven-webapp/meta/readme.md	1970-01-01 00:00:00 +0000
+++ examples/tomcat-maven-webapp/meta/readme.md	2015-07-24 01:59:59 +0000
@@ -0,0 +1,3 @@
+Demo of Tomcat-hosted Webapp
+
+This is a demo snap of a Tomcat-hosted webapp produced by snapcraft with maven.

=== added file 'examples/tomcat-maven-webapp/snapcraft.yaml'
--- examples/tomcat-maven-webapp/snapcraft.yaml	1970-01-01 00:00:00 +0000
+++ examples/tomcat-maven-webapp/snapcraft.yaml	2015-07-24 01:59:59 +0000
@@ -0,0 +1,12 @@
+parts:
+    webapp:
+        plugin: maven-project
+        source: git://github.com/lool/snappy-mvn-demo.git
+    tomcat:
+        plugin: tar-content
+        source: http://mirrors.ircam.fr/pub/apache/tomcat/tomcat-8/v8.0.24/bin/apache-tomcat-8.0.24.tar.gz
+    wrapper:
+        plugin: copy
+        files:
+            tomcat-wrapper: bin/tomcat
+snappy-metadata: meta

=== added file 'examples/tomcat-maven-webapp/tomcat-wrapper'
--- examples/tomcat-maven-webapp/tomcat-wrapper	1970-01-01 00:00:00 +0000
+++ examples/tomcat-maven-webapp/tomcat-wrapper	2015-07-24 01:59:59 +0000
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+set -x
+
+# installation pathes are based of CATALINA_HOME
+export CATALINA_HOME="$SNAP_APP_PATH"
+# writable pathes are based of CATALINA_BASE
+export CATALINA_BASE="$SNAP_APP_DATA_PATH"
+
+# create runtime data
+mkdir -p "$CATALINA_BASE/logs"
+mkdir -p "$CATALINA_BASE/temp"
+if ! [ -d $CATALINA_BASE/conf ]; then
+    cp -dr $CATALINA_HOME/conf $CATALINA_BASE
+fi
+
+$CATALINA_HOME/bin/startup.sh
+

